TokenSourceHttpException class
Error thrown when the token server responds with a non-success HTTP status code.
- Implemented types
Constructors
- TokenSourceHttpException({required Uri uri, required int statusCode, required String body})
-
const
Properties
- body → String
-
The raw response body returned by the endpoint.
final
- hashCode → int
-
The hash code for this object.
no setterinherited
- runtimeType → Type
-
A representation of the runtime type of the object.
no setterinherited
- statusCode → int
-
The HTTP status code returned by the endpoint.
final
- uri → Uri
-
The endpoint that returned the error.
final
Methods
-
noSuchMethod(
Invocation invocation) → dynamic -
Invoked when a nonexistent method or property is accessed.
inherited
-
toString(
) → String -
A string representation of this object.
override
Operators
-
operator ==(
Object other) → bool -
The equality operator.
inherited